Subject: [Raw] about .11ak was: RE: Comments on section 4 in draft-ietf-raw-technologies-02

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 4 Aug 2021 08:30:24 +0000

Hello Rocco and all

[DC] The document is describing capabilities as defined by standards and it is not the intention to make an assessment of the market for implementations, which would be very hard to do. If there is a concern with the reference to 802.11ak, we could replace it with a reference to 802.11-2020, which already incorporates the changes in the 802.11ak amendment.

[Rocco]

The suggestion is not about making an assessment of the market for implementations. However, in general, if nobody implements a feature specified by a standard, then practically speaking the given feature is not available for the general public. Therefore, I believe it would be useful for the community to be clear on IEEE 802.11ak with this regard.

Also, it may be beneficial for the reader if we are more specific by referring to IEEE 802.11ak and not just the whole IEEE 802.11-2020.

[ Pascal]

This makes sense for an article that has a strong sense of "as of now", but here we're publishing an RFC and focus on technical aspects that hopefully remain true though they evolve and get better.

Implementations are sometimes discussed in appendix but we did not do it in this spec, and usually it is to indicate where the spec is implemented, not that it isn't. If we did do that work, we should be fair across standards and we'd probably have to sweep the entire list of references;that's a huge effort that I'm not willing to start.

And again there are a number of other standards discussed in that spec that are not implemented either. If the standard is never use, maybe IEEE will retract it.

Please consider the text in the newly published spec. We mention .11ak and explain that it was retrofitted. From an IETF point of view I believe that's enough.

 Keep safe;

Pascal